# Uses of Enum Class
org.apache.sysds.runtime.controlprogram.federated.FederatedResponse.ResponseType

Packages that use FederatedResponse.ResponseType
Package
Description
org.apache.sysds.runtime.controlprogram.federated

## Uses of FederatedResponse.ResponseType in org.apache.sysds.runtime.controlprogram.federated

Methods in org.apache.sysds.runtime.controlprogram.federated that return FederatedResponse.ResponseType
Modifier and Type
Method
Description
`static FederatedResponse.ResponseType`
FederatedResponse.ResponseType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static FederatedResponse.ResponseType[]`
FederatedResponse.ResponseType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in org.apache.sysds.runtime.controlprogram.federated with parameters of type FederatedResponse.ResponseType
Modifier
Constructor
Description
``
`FederatedResponse(FederatedResponse.ResponseType status)`
``
`FederatedResponse(FederatedResponse.ResponseType status, Object data)`
``
`FederatedResponse(FederatedResponse.ResponseType status, Object[] data)`
``
`FederatedResponse(FederatedResponse.ResponseType status, Object[] data, LineageItem linItem)`
``
`FederatedResponse(FederatedResponse.ResponseType status, Object data, LineageItem linItem)`